Subject: [PATCH] ARM: omap: fix Kconfig warning

From: [email-masked] (Tony Lindgren)
Date: Mon, 8 Sep 2014 14:29:25 -0700

* Arnd Bergmann <[email-masked]> [140908 11:17]:
> On Monday 08 September 2014 08:34:00 Tony Lindgren wrote:
> > * Arnd Bergmann <[email-masked]> [140908 08:01]:
> > > A small mistake during the recent Kconfig cleanup has led
> > > to a harmless warning for OMAP1:
> > > 
> > > warning: (ARCH_OMAP1) selects ARCH_OMAP which has unmet direct dependencies (ARCH_MULTI_V6 || ARCH_MULTI_V7)
> > > 
> > > We can easily avoid that by moving the ARCH_OMAP symbol outside of the
> > > OMAP2 submenu.
> > 
> > OK I made a similar patch, but I moved it into plat-omap/Kconfig
> > as it's also used by omap1. The regression was probably caused by
> > commit 21278aeafbfa (ARM: use menuconfig for sub-arch menus).
> > 
> > If that works for you, I'll verify the regression causing commit
> > and post it with a description.
> 
> Yes, sounds good. Your version is better than mind.

OK here's the patch again with breaking commit and reported by.

Regards,

Tony

8< -------------
From: Tony Lindgren <[email-masked]>
Date: Mon, 8 Sep 2014 07:52:11 -0700
Subject: [PATCH] ARM: OMAP: Fix Kconfig warning for omap1

Commit 21278aeafbfa ("ARM: use menuconfig for sub-arch menus") improved
the sub-arch menus, but accidentally caused new warnings for omap1.
This was because the commit added a menu entry around config ARCH_OMAP
bool entry where the menu had depends on ARCH_MULTI_V6 || ARCH_MULTI_V7.

As ARCH_OMAP is shared between omap1 and omap2plus, let's fix the
issue by defining ARCH_OMAP in the shared plat-omap/Kconfig.

Fixes: 21278aeafbfa ("ARM: use menuconfig for sub-arch menus")
Reported-by: Andreas Ruprecht <[email-masked]>
Cc: Arnd Bergmann <[email-masked]>
Signed-off-by: Tony Lindgren <[email-masked]>

--- a/arch/arm/mach-omap2/Kconfig
+++ b/arch/arm/mach-omap2/Kconfig
@@ -1,9 +1,6 @@
 menu "TI OMAP/AM/DM/DRA Family"
 	depends on ARCH_MULTI_V6 || ARCH_MULTI_V7
 
-config ARCH_OMAP
-	bool
-
 config ARCH_OMAP2
 	bool "TI OMAP2"
 	depends on ARCH_MULTI_V6
diff --git a/arch/arm/plat-omap/Kconfig b/arch/arm/plat-omap/Kconfig
index 02fc10d..d055db3 100644
--- a/arch/arm/plat-omap/Kconfig
+++ b/arch/arm/plat-omap/Kconfig
@@ -1,3 +1,6 @@
+config ARCH_OMAP
+	bool
+
 if ARCH_OMAP
 
 menu "TI OMAP Common Features"